Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
access-rules
Create Rule
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/access-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "target_id": "<string>",
      "target_type": "<string>",
      "conditions": [
        {
          "condition_data": {},
          "position": 0
        }
      ],
      "logic_operator": "any"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "conditions": [
        {
          "condition_data": {},
          "condition_type": "<string>",
          "position": 123
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "hub_id": "<string>",
      "logic_operator": "<string>",
      "target_id": "<string>",
      "target_type": "<string>",
      "team_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "access_rules"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Body

application/vnd.api+json
data
AccessRuleCreateResource · object
required

Response

Successful Response

data
AccessRuleResource · object
required